Create a customer contact
curl --request POST \
--url https://api.salesbricks.com/api/v2/customers/{customer_id}/persons \
--header 'Content-Type: application/json' \
--header 'X-SALESBRICKS-KEY: <api-key>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"role": "<string>",
"preferred_name": "<string>"
}
'import requests
url = "https://api.salesbricks.com/api/v2/customers/{customer_id}/persons"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"role": "<string>",
"preferred_name": "<string>"
}
headers = {
"X-SALESBRICKS-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-SALESBRICKS-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: 'jsmith@example.com',
role: '<string>',
preferred_name: '<string>'
})
};
fetch('https://api.salesbricks.com/api/v2/customers/{customer_id}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"role": "<string>",
"preferred_name": "<string>"
}{
"error": {
"code": "ERR_BAD_REQUEST",
"message": "Bad request — the input payload is malformed, missing required fields, or contains invalid data."
}
}{
"error": {
"code": "ERR_NOT_FOUND",
"message": "Not found — the resource you are looking for does not exist."
}
}Customer Contacts
Create a customer contact
Creates a new contact for a customer.
POST
/
customers
/
{customer_id}
/
persons
Create a customer contact
Authorizations
API key for authentication
Path Parameters
Pattern:
^([a-zA-Z\d\-]+)$Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Person input serializer for creating a new person.
Response
Person output serializer for creating a new person.
The ID of the person
The first name of the person
The last name of the person
The email of the person
The role of the person
Maximum string length:
255⌘I